Liste der Absenderregeln
/v1/mailboxes/{mailbox_id}/sender-rulesGibt die Absenderregeln für das ausgewählte Postfach zurück. Jede Regel enthält eine Adresse sender, eine Aktion action und eine Kennung id für die spätere Löschung.
Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen
Anfrage
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/sender-rules' \ -H 'Authorization: Bearer <access_token>'Optionen
mailbox_idpathUnbedingtintegerX-Customer-IDheader- Option 1
stringOption 2null
Antworten
200 Erfolgreiche Antwort
application/json
array
object
idintegermailbox_idintegersenderstringactionstringGültige Werte:
"spam""allow"created_atstringDatum und Uhrzeit in UTC. Wenn kein Offset vorhanden ist, stellt der Wert auch UTC. dar
401 Anmeldung erforderlich
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
403 Kein Zugriff
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
404 Ressource nicht gefunden
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
409 Staatskonflikt
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
422 Validierungsfehler
application/json
object
detailarrayArray-ElementeobjectlocUnbedingtarrayArray-ElementeOption 1stringOption 2integermsgUnbedingtstringtypeUnbedingtstring
503 Vorübergehende Nichtverfügbarkeit
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject